org.springframework.data.repository.core.support

## Class PersistenceExceptionTranslationRepositoryProxyPostProcessor

- java.lang.Object
- - org.springframework.data.repository.core.support.PersistenceExceptionTranslationRepositoryProxyPostProcessor

All Implemented Interfaces:
  RepositoryProxyPostProcessor

    public class PersistenceExceptionTranslationRepositoryProxyPostProcessor
    extends Object
    implements RepositoryProxyPostProcessor

`RepositoryProxyPostProcessor` to register a `PersistenceExceptionTranslationInterceptor` on the repository proxy.

Author:
  Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`PersistenceExceptionTranslationRepositoryProxyPostProcessor(ListableBeanFactory beanFactory)` Creates a new `PersistenceExceptionTranslationRepositoryProxyPostProcessor` using the given `ListableBeanFactory`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `postProcess(ProxyFactory factory, RepositoryInformation repositoryInformation)` Manipulates the `ProxyFactory`, e.g. add further interceptors to it.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PersistenceExceptionTranslationRepositoryProxyPostProcessor

    public PersistenceExceptionTranslationRepositoryProxyPostProcessor(ListableBeanFactory beanFactory)

Creates a new `PersistenceExceptionTranslationRepositoryProxyPostProcessor` using the given `ListableBeanFactory`.

Parameters:
  `beanFactory` - must not be null.

### Method Detail

#### postProcess

    public void postProcess(ProxyFactory factory,
                            RepositoryInformation repositoryInformation)

Description copied from interface: `RepositoryProxyPostProcessor`
Manipulates the `ProxyFactory`, e.g. add further interceptors to it.

Specified by:
  `postProcess` in interface `RepositoryProxyPostProcessor`
Parameters:
  `factory` - will never be null.
  `repositoryInformation` - will never be null.